1. Experiments
Efestra
  • Projects
    • Get All Projects
      GET
    • Create Project
      POST
  • Experiments
    • Get Experiment
      GET
    • Get all Eexperiments
      GET
    • Create Experiment
      POST
  • Schemas
    • Project
    • Experiment
    • ExperimentDTO
  1. Experiments

Create Experiment

POST
https://api.efestra.com/api/react/v2/external/experiments
Create a new Experiment

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.efestra.com/api/react/v2/external/experiments?project_id=undefined' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "start_date": "string",
    "end_date": "string",
    "description": "string",
    "hypothesis": "string"
}'
Response Response Example
{
    "id": "string",
    "name": "string",
    "start_date": "string",
    "end_date": "string",
    "description": "string",
    "hypothesis": "string"
}
Modified at 2026-07-20 13:50:00
Previous
Get all Eexperiments
Next
Project
Built with